Is unlocking iPhone on 2.2.1 possible?

Discussion in 'Jailbreaks and iOS Hacks' started by iRich1G, May 27, 2009.

  1. iRich1G macrumors member

    Joined:
    May 24, 2009
    Location:
    The Nasty Apple, Taxachusetts
    #1
    I understand that the Dev team has not released an unlock for 2.2.1. I'm overwhelmed with all the different answers there are to this question. I've seen alot of ads online to pay to unlock 2.2.1 and I'm sure they're bogus. I am selling my 3G and have been told that an unlocked phone will be worth more. My phone has never been used or activated since it's been replaced under warranty. I am using my Blackberry until iPhone 3rd gen drops. So I'd appreciate any info or advice anyone could give me about this. Is it possible to unlock, and if so should I even bother. BTW, though phone hasn't been activated or used Apple now automatically updates the baseband when they send you a new phone. Thanks.:confused::confused::confused:
     
  2. Pixellated macrumors 65816

    Joined:
    Apr 1, 2008
    #2
    Does Yellowsn0w not work with 2.2.1? I didn't know that. If you haven't yet heard of Yellowsn0w, it is on Cydia and should unlock your iPhone.
     
  3. iRich1G thread starter macrumors member

    Joined:
    May 24, 2009
    Location:
    The Nasty Apple, Taxachusetts
    #3
    I'm pretty sure that 2.2.1 rendered Yellowsn0w ineffective by updating baseband.
     
  4. iJimmy macrumors regular

    iJimmy

    Joined:
    Feb 4, 2008
    #4
    yellowsn0w does work on 2.2.1.
    You must have bootloader 5.08 to be able to downgrade your baseband(fuzzyband) from 2.30.03(2.2.1) to 2.28.xx(2.2).

    Unlock tut
     
  5. iRich1G thread starter macrumors member

    Joined:
    May 24, 2009
    Location:
    The Nasty Apple, Taxachusetts
    #5
    Thanks for the info. So I would need to activate the phone, jailbreak it, and then downgrade the baseband? Is this a complicated process? Will the phone be worth that much more unlocked?
     
  6. iJimmy macrumors regular

    iJimmy

    Joined:
    Feb 4, 2008
    #6
    Having the at&t sim card should activate the iphone.

    Downgrading the baseband was easy, following the tutorial word for word.

    Someone who doesn't know how to unlock and jailbreak the iphone may pay a little more than a locked iphone.
     
  7. iRich1G thread starter macrumors member

    Joined:
    May 24, 2009
    Location:
    The Nasty Apple, Taxachusetts
    #7
    Ok I think I get it. How do I know which bootloader I have?
     
  8. iRich1G thread starter macrumors member

    Joined:
    May 24, 2009
    Location:
    The Nasty Apple, Taxachusetts
    #8
    ok just answered my own question phone has to be jailbroken for me to access bootloader. Does anyone know why you would have 5.09 as opposed to 5.08? Is this something that would be in newer models?
     
  9. skasol macrumors 6502

    Joined:
    Sep 20, 2007
    #9
    I am looking to do the same thing and any help would be helpful, I just got my phone replaced and need to unlocked it.

    any guides, I also have baseband 2.30.03

    thanks in advance.

    I just installed fuzzyband downgrader and I have bootloader 06.02 baseband 02.30.03, any way to do the unlock even if it's hardware like a turbo card or something? please help. thanks.
     
  10. britboyj macrumors 6502a

    Joined:
    Apr 8, 2009
    #10
    Is there any determining factor for which bootloader you have?

    Is it thrown in with firmware?

    Is it by the manufacture date of the phone?
     
  11. britboyj macrumors 6502a

    Joined:
    Apr 8, 2009
    #11
    Is there any determining factor for which bootloader a given phone might have without going through all the SSH BS?

    Is it thrown in with firmware?

    Is it by the manufacture date of the phone?
     
  12. angemon89 macrumors 68000

    angemon89

    Joined:
    Feb 5, 2008
    Location:
    The place where Apple designs stuff
    #12
    It is by the manufacturing date. Apple has changed the bootloader 3 times I think. The most recent/current is 6.02. Then there is 5.9 and 5.8.

    I believe that the 5.8 is only for phones manufactured around September 2008 or before.

    So if you have an iPhone manufactured after October-ish 2008 with 2.2.1/2.30.03 baseband then you're pretty much out of luck for unlocking as of now.

    There's always turbosim but I hear they are CRAP-PAY.
     
  13. JCastro macrumors 6502a

    Joined:
    Feb 12, 2008
    #13
    A friend of mine with 2.2.1 just got Turbosim and it works great. It is not JB but he can use other Sims while traveling.
     
  14. RoninXI macrumors regular

    Joined:
    Jun 5, 2006
    Location:
    Vermilion, Ohio
    #14
    2.2.1 is unlockable now. If the baseband was upgraded they have a solution for that in Cydia to downgrade it.
     
  15. manmeetdugal macrumors newbie

    Joined:
    May 29, 2009
    #15
    May be it's possible

    I just spoke to a person who said he'll be able to unlock iPhone 3G 2.2.1 BL 6.02, at last I've found someone who's atleast promising it, he's assuring a new phone replacement if he can't do it, but he also stated he might have to open the phone and play with it, which I am little reluctant about but I am sick of looking at a dead phone so I'll have to take a chance, he is a renouned and trusted mobile engineer in our area, I am supposed to visit him tomorrow let's see if it works, I'll update you all this Monday if it works. Thanks
     
  16. britboyj macrumors 6502a

    Joined:
    Apr 8, 2009
    #16
    Does anyone know the way to look up manufacture date with the serial? I know part of it tells me, but I don't know which bit!
     
  17. angemon89 macrumors 68000

    angemon89

    Joined:
    Feb 5, 2008
    Location:
    The place where Apple designs stuff
    #17
    Yeah, I'll use the serial from my replaced iPhone as an example

    5K84656MY7K

    8 - Is the year it was built (2008)
    46 - Is the week in 2008 that it was built (about mid-November)
     
  18. air999 macrumors newbie

    Joined:
    Jun 9, 2009
    #18
    Any news on downgrading the 06.02 bootloader ?
     

Share This Page